import React from 'react';
import NavbarItem from './NavbarItem';
interface NavbarLogo {
    src: any;
    slogan: string;
}
interface NavbarItem {
    label: string;
    href?: string;
    to?: string;
}
interface NavbarProps {
    logo?: NavbarLogo;
    items?: NavbarItem[];
}
declare const Navbar: React.FC<NavbarProps>;
export default Navbar;
